:root {
    --control-height-mobile: 30px;

    /* TODO починить путаницу с размерами и номерами + выпилить ненужное */
    --fs-3-mobile: 20px;
    --lh-3-mobile: 23px;

    --fs-5-mobile: 15px;
    --lh-5-mobile: 18px;

    --fs-1-mobile: 13px;
    --lh-1-mobile: 15px;

    --fs-2-mobile: 10px;
    --lh-2-mobile: 13px;

    --fs-4-mobile: 7px;
    --lh-4-mobile: 10px;

    --fs-6-mobile: 18px;
    --lh-6-mobile: 21px;
}

.link {
    text-decoration: none;
}
.green-link {
    color: #3c9b04;
}
.green-link:hover {
    text-decoration: underline;
    text-underline-color: #4bc202;
}
.gray-link-hover:hover {
    text-decoration: underline;
    text-underline-color: #737373;
}
.desktop-menu-item {
    position: relative;

    display: flex;
    flex-direction: column;
    justify-content: center;

    height: 100%;
    max-height: 80px;
    padding: 8px 0;

    text-align: center;
    text-decoration: none;
    color: black;
}
.desktop-menu-item:hover {
    box-shadow: 6px 3px 8px 0 rgba(0, 0, 0, 0.25) inset;
}

.selected-item, .desktop-selected-item {
    color: rgba(75, 194, 2, 1);
    font-weight: bolder;
}
.desktop-selected-item {
    box-shadow: 6px 3px 8px 0 rgba(0, 0, 0, 0.25) inset;
}

.desktop-menu-item__icon {
    font-size: 30px;
    font-weight: 150;

    margin-bottom: 5%;
}
.desktop-menu-item__text {
    margin: 0 2px 0 2px;

    font-size: 11px;
    word-wrap: break-word;
}
.desktop-menu-item__number-unread-messages {
    position: absolute;
    right: 5px;
    top: 5px;

    display: flex;
    align-items: center;

    max-width: 32px;

    padding: 2px 4px;

    overflow: hidden;

    font-size: 12px;
    line-height: 12px;
    color: white;

    border-radius: 3px;
    background: rgba(75, 194, 2, 1);

    user-select: none;
}

.menu {
    display: flex;
    flex-direction: column;

    max-width: 100px;
    width: 10%;

    background: rgba(245, 245, 245, 1);
}
.menu__logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
}
.menu__logo {
    width: 50px;
    height: 50px;
}
.desktop-menu {
    display: flex;
    flex-direction: column;
    overflow-y: auto;

    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: auto;
}

.navbar {
    width: 70px;
}
.mobile-menu-toggler {
    border: 0;
    padding: 0;
}
.mobile-menu-toggler:focus {
    outline: none;
}
.mobile-menu-icon {
    font-size: 50px;
    color: rgba(75, 194, 2, 1);
}
.mobile-menu {
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;

    display: flex;
    justify-content: center;

    width: 98%;
    height: 100%;
    padding-top: var(--header-height-mobile);

    overflow-y: auto;
    background-color: rgba(255, 255, 255, 1);
}

.nav-link {
    font-size: 20px !important;
    line-height: 24px;
}

.mobile-menu-item {
    position: relative;
}
.mobile-menu-item a {
    display: flex;
    align-items: center;
}
.mobile-menu-item__icon {
    width: 30px;
    margin-inline-end: 16px;

    font-size: 30px;
    line-height: 30px;
}
.mobile-menu-item__number-unread-messages {
    display: flex;
    align-items: center;

    padding: 2px 4px;
    margin-block-start: -20px;
    margin-inline-start: 10px;

    overflow: hidden;

    font-size: 12px;
    line-height: 12px;
    color: white;

    border-radius: 3px;
    background: rgba(75, 194, 2, 1);

    user-select: none;
}

.menu__footer {
    display: flex;
    justify-content: center;
    align-items: end;

    padding: 20px 0;
}
input, textarea {
    outline: none !important;
}

.input {
    font-size: 16px;
    line-height: 19px;

    width: 100%;
    height: 48px;
    padding: 12px 17px 17px 17px;

    border: 1px solid #333333;
    border-radius: 10px;
    background-color: rgba(255,255,255,0);
}
.input-lg {
    font-size: 24px;
    line-height: 29px;

    height: 70px;
    padding: 21px 28px 28px 28px;
}
::-webkit-input-placeholder { /* Edge */
    opacity: 1;
    color: #333333;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
    opacity: 1;
    color: #333333;
}
::placeholder {
    opacity: 1;
    color: #333333;
}

.password-input {
    padding-right: 50px;
}
.password-input[dir="rtl"] {
    padding-left: 50px;
    padding-right: 17px;
}

.password-input-container{
	position: relative;
}

.eye-icon {
    cursor: pointer;
    position: absolute;
    top: 0px;
    font-size: 28px;
    right: 10px;
    color: rgba(3, 0, 0, 0.60);
}
.password-input[dir="rtl"] + .eye-icon {
    left: 10px;
    right: unset;
}

.form .form-input-block{
	padding-bottom: 17px;
}
.form .form-input-block[data-error]{
	padding-bottom: 1px;
}


.form-input-block{
	clear: both;
	/*margin-bottom: 20px;*/
}

.form-input-block[data-error]{
	
}

.form-input-block[data-error] input.input{
	background-color: rgba(255,0,0,0.1);
}

.form-input-block[data-error]:after{
	content: attr(data-error);
	color: red;
	font-size: 0.75em;
	padding: 0 8px;
}

.grey-input {
    height: 50px;

    margin: 2px;
    padding-right: 16px;
    padding-left: 16px;
    border: 0;
    background: #F5F5F5;
    border-radius: 10px;

    font-size: 20px;
    line-height: 22px;
}
@media screen and (max-device-width: 1199px){
    .input-lg {
        font-size: 16px;
        line-height: 19px;

        height: 48px;
        padding: 12px 17px 17px 17px;
    }

    .input {
        height: var(--control-height-mobile);

        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
    .eye-icon {
        cursor: pointer;
        position: absolute;
        margin-top: 10px;
        font-size: 20px;
        margin-left: -30px;

        color: rgba(3, 0, 0, 0.60);
    }

    .password-input[dir="rtl"] + .eye-icon {
        margin-right: -30px;
        margin-left: unset;
    }
}
.table-fixed {
    table-layout: fixed;
}

.table-th-grey th {
	background: #D1D0D0;
}

.table-rounded-edges th:first-child {
	border-top-left-radius: 10px;
}
.table-rounded-edges th:last-child {
	border-top-right-radius: 10px;
}

.my-table th {
	padding-top: 10px;
}
@media (max-width: 1199px) {
	.my-table th {
		padding-top: 10px;
		border-bottom: 1px solid black;
	}

	.my-table th:nth-child(1) {
		padding-left: 10px;
	}
	.my-table th:first-child {
		padding-left: 10px;
	}
	.my-table th:last-child {
		padding-right: 10px;
	}

	.my-table td:first-child {
		padding-left: 10px;
	}
	.my-table td:last-child {
		padding-right: 10px;
	}
}
/* TODO привести в чувство файл + стандартизация*/
.my-table th:nth-child(1) {
	padding-left: 20px;
}
.my-table th:first-child {
	padding-left: 20px;
}
.my-table th:last-child {
	padding-right: 20px;
}

.my-table td:first-child {
	padding-left: 20px;
}
.my-table td:last-child {
	padding-right: 20px;
}

@media screen and (max-width: 1199px) {
	.my-table th:nth-child(1) {
		padding-left: 10px;
	}
	.my-table th:first-child {
		padding-left: 10px;
	}
	.my-table th:last-child {
		padding-right: 10px;
	}

	.my-table td:first-child {
		padding-left: 10px;
	}
	.my-table td:last-child {
		padding-right: 10px;
	}
}

.reversed.order-desc, .order-asc{ color: green;}
.reversed.order-asc, .order-desc{ color: red;}

[data-order]{ cursor: pointer; }
@keyframes value-down-animation {
	0% {
		background: #f8dddd;
	}
	to {
		background: #fff;
	}
}
@-webkit-keyframes value-down-animation {
	0% {
		background: #f8dddd;
	}
	to {
		background: #fff;
	}
}
@keyframes value-up-animation {
	0% {
		background: #ddf8dd;
	}
	to {
		background: #fff;
	}
}
@-webkit-keyframes value-up-animation {
	0% {
		background: #ddf8dd;
	}
	to {
		background: #fff;
	}
}


tr.value-down, .quote[data-ch="value-down"]{
	animation: value-down-animation 2s linear;
	-webkit-animation: value-down-animation 2s linear;
}
tr.value-up, .quote[data-ch="value-up"]{
	animation: value-up-animation 2s linear;
	-webkit-animation: value-up-animation 2s linear;
}

.quotes-blocks-container{
	white-space: nowrap;
	position: relative;
}
.quotes-blocks-container.easy .quotes-container{
	transition: left 0.5s linear, right 0.5s linear;
}
.quotes-blocks-container:not(.easy-run) .quotes-container + .quotes-container{
	display: none;
}
.quotes-container{
	white-space: nowrap;
	display: inline-block;
	position: relative;
}
.quote {
    display: inline-block;
    align-items: center;

    padding: 7px 10px 7px 10px;
    margin-right: 14px;

    background: #F5F5F5;
    border: 2px solid #4BC202;
    border-radius: 10px;

    font-size: 10px;
    line-height: 12px;
    font-weight: 600;
	min-width: 150px;
}
.quote-info{ flex-grow: 1; }
.quote.less-zero{
	border-color: #E24B02
}
.quote__icon {
    width: 25px;
    height: 25px;

    margin-right: 10px;
}
.quote__header {
    text-align: center;
    margin-bottom: 2px;
    font-weight: 800;
}
.quote__source {
    text-align: center;
    margin-bottom: 4px;
    font-weight: 200;
}
.quote__price {
    text-align: center;
	white-space: nowrap;
}

.add-quote{
	margin-right: 10px;
	padding: 0;
}

@media screen and (max-width: 1199px){
    .quote {
        min-width: 100px;

        padding: 2px;
    }
    .quote-info {
        font-size: var(--fs-2-mobile);
        line-height: var(--lh-2-mobile);
    }
    .quote__icon {
        width: 17px;
        height: 17px;

        margin-inline-end: 5px;
    }
}
select {
    color: black;
}

.grey-select {
    height: 50px;

    margin: 2px;
    padding-right: 16px;
    padding-left: 16px;
    border: 0;
    background: #F5F5F5;
    border-radius: 10px;

    font-size: 20px;
    line-height: 22px;
}
@media screen and (min-device-width: 1200px){
    .grey-select {
        font-size: 12px;
        line-height: 15px;
    }
}
@media screen and (max-device-width: 720px) {
    .button {
        font-size: 20px;
    }
}
@media screen and (min-device-width: 721px) {
    .button {
        font-size: 20px;
    }
}
.button {
    display: block;
    width: 100%;
    height: 50px;

    line-height: 50px;
    font-weight: 600;
    text-align: center;
    text-decoration: none;

    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    color: rgba(255, 255, 255, 0.9);

    border-radius: 15px;
    border: 0;
}
.button:hover {
    -webkit-box-shadow: 0 0 21px -3px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0 0 21px -3px rgba(34, 60, 80, 0.2);
    box-shadow: 0 0 21px -3px rgba(34, 60, 80, 0.2)
}
.button:active {
    box-shadow:
        rgba(50, 50, 93, 0.25) 0 30px 60px -12px inset,
        rgba(0, 0, 0, 0.3) 0 18px 36px -18px inset;
}
.green-button {
    background: #4BC202;
}
.green-button:disabled{
	background: #D9D9D9;
	color: #EEE;
}
.grey-button {
    background: #979797;
}

.outline-button {
    height: 50px;
    padding: 0 16px 0 16px;

    background: #F5F5F5;
    border-radius: 10px;
    box-shadow: 0 5px 3px 0 rgba(0, 0, 0, 0.25);

    font-weight: bolder;
}
@media screen and (min-device-width: 1200px){
    .outline-button {
        font-size: 15px;
    }
}

.outline-button:hover {
    box-shadow: 0 5px 3px 0 rgba(0, 0, 0, 0.35);
}
.outline-button:active {
    box-shadow: none;
}

.outline-green-button {
    margin: 2px;
    border: 2px solid #4BC202;
    color: #4BC202;
}
.outline-red-button {
    margin: 2px;
    border: 2px solid rgba(237, 24, 75, 1);
    color: rgba(237, 24, 75, 1);
}

.chatgpt {
    position: fixed;
    left: 50px;
    bottom: 100px;
    z-index: 2000;

    display: flex;
    display: -webkit-flex;
    flex-direction: column;
    width: 400px;
    height: 400px;

    border: 1px solid black;
    border-radius: 20px;
    background: #F5F5F5;
}
.chatgpt-button {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    flex-grow: 0;

    width: 40px;
    height: 40px;

    text-align: center;
    font-size: 25px;
    color: white;

    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: rgba(16, 163, 127, 1);
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);

    cursor: pointer;
}

.responses-1 .response-pagination, .responses-1 .reactions{
  display: none!important;
}

.chatgpt__top-panel {
    display: flex;
    display: -webkit-flex;
    justify-content: end;
    -webkit-justify-content: flex-end;
    align-items: center;
    -webkit-align-items: center;

    padding: 5px 10px;

    border-radius: 20px 20px 0 0;
    background: #D9D9D9;
}
.chatgpt__top-panel .delete-chat-button {
    cursor: pointer;
}
.chatgpt__top-panel .close-button {
    padding-inline-start: 5px;

    font-size: 20px;
    cursor: pointer;
}


.chatgpt__messages {
    flex-grow: 1;

    overflow-y: auto;
}

.chatgpt__message {
    display: flex;
    display: -webkit-flex;
    align-items: start;
    -webkit-align-items: flex-start;

    padding: 16px;

    background: white;
}
.chatgpt__message.gpt {
    background: #EAEAEA;
}
.chatgpt__message .sender-avatar {
    min-width: 30px;
    min-height: 30px;
}
.chatgpt__message .sender-avatar.icon-round-user {
    font-size: 30px;
}
.chatgpt__message.gpt .sender-avatar {
    font-size: 18px;
    line-height: 30px;
    color: white;
    text-align: center;

    border-radius: 10px;
    background: rgba(16, 163, 127, 1);
}
.chatgpt__message .message-text {
    flex-grow: 1;

    margin-inline-start: 10px;

    word-break: break-word;
}
.chatgpt__message .response-pagination {
    margin-block-start: 10px;

    user-select: none;
}
.chatgpt__message .pagination-arrow {
    cursor: pointer;
}
.chatgpt__message .reactions {
    display: flex;
    display: -webkit-flex;
}
.chatgpt__message .reactions .reaction {
    margin-inline: 6px;

    cursor: pointer;
}

.chatgpt__inputs {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;

    padding: 10px;
}
.chatgpt__input-container {
    position: relative;

    display: flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;

    flex-grow: 1;

    margin-inline-end: 10px;
}
.chatgpt__input {
    width: 100%;
    min-width: 100px;
    max-height: 50px;

    padding: 5px 40px 5px 5px;

    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    border: 1px solid #D1D5DB;
}
.chatgpt__send-button {
    position: absolute !important; /* Чтоб перебить display: relative от ladda-button */
    right: 15px;

    width: 24px;
    height: 24px;

    padding: 1px;

    background: #F5F5F5;
    border: 1px solid #D1D5DB;
    border-radius: 5px;
}
.chatgpt__reload-button {
    font-size: 20px;
    line-height: 20px;
    color: rgba(108, 112, 126, 1);

    padding: 1px;
    border: 0;
    background: rgba(0, 0, 0, 0);
}

@media screen and (max-width: 1199px){
    .chatgpt-button {
        width: 30px;
        height: 30px;

        font-size: 20px;
    }

    .chatgpt {
        top: 0;
        left: 0;
        z-index: 1001;

        width: 100%;
        height: 100%;

        padding-top: var(--header-height-mobile);

        border: 0;
        border-radius: 0;

        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }

    .chatgpt__top-panel {
        height: 30px;

        border-radius: 0;
    }
    .chatgpt__top-panel .delete-chat-button {
        font-size: 16px;
        line-height: 16px;
    }
    .chatgpt__top-panel .close-button {
        font-size: 20px;
        line-height: 20px;
    }

    .chatgpt__messages {
        border-radius: 0;
    }

    .chatgpt__message {
        padding: 15px;
    }
    .chatgpt__message .sender-avatar {
        min-width: 35px;
        min-height: 35px;
    }
    .chatgpt__message .sender-avatar.icon-round-user {
        font-size: 35px;
    }
    .chatgpt__message.gpt .sender-avatar {
        font-size: 25px;
        line-height: 35px;
        color: white;
        text-align: center;

        border-radius: 10px;
        background: rgba(16, 163, 127, 1);
    }
    .chatgpt__message .message-text {
        margin-inline-start: 15px;
    }
    .chatgpt__message .response-pagination {
        margin-block-start: 10px;
    }
    .chatgpt__message .reactions .reaction {
        font-size: 20px;
        line-height: 20px;

        margin-inline: 6px;
    }

    .chatgpt__inputs {
        padding: 3px 10px;
    }
    .chatgpt__input-container {
        margin-inline-end: 10px;
    }
    .chatgpt__input {
        height: 50px;
        max-height: 50px;

        padding: 5px 60px 5px 5px;
        box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
        border-radius: 10px;
        border: 1px solid #D1D5DB;
    }
    .chatgpt__send-button {
        right: 10px;

        width: 35px;
        height: 35px;
    }
    .chatgpt__send-button img {
        width: 100%;
        height: 100%;

        padding: 5px;
    }
    .chatgpt__reload-button {
        font-size: 20px;
        line-height: 20px;
    }
}

.my-card {
    border-radius: 10px;
    background: #F5F5F5;
    padding-bottom: 10px;
}
@media (max-width: 1199px) {
    .my-card {
        border: 1px solid black;
    }
}

.my-card-header {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    padding: 10px 10px 10px 10px;
    background: #D1D0D0;
}
.mm-form .form-input-block{
	padding-bottom: 23px;
}

.mm-form .form-input-block[data-error]{
	padding-bottom: 1px;
}
.modal-backdrop{
	z-index:3000 !important
}
.modal{
	z-index:3001 !important
}
.modal.assets-tune-modal .modal-dialog-scrollable .modal-body{
max-height:100%;overflow:hidden
}
.modal.assets-tune-modal .modal-dialog-scrollable .modal-body .tab-content{
height:100%;overflow:hidden
}
.modal.assets-tune-modal .modal-dialog-scrollable .modal-body .tab-content .tab-pane{
height:100%;overflow-y:auto;
backgound:red;
}

.select-asset-symbol{
    font-weight: bold;
}
.select-asset-title{
    color: #888;
    font-style: italic;
    font-size: 75%;
}
.select-asset-source{
    color: #666;
    font-size: 75%;
}
.selectable-asset{padding: 2px 6px;}
.selectable-asset + .selectable-asset{margin-top: 2px;}
.selected-asset{
	background: #4BC202;
}
.selected-asset *{
	color:#fff;
}

.select2-container {
    height: 50px !important;
}
.select2-selection__rendered {
    background: #F5F5F5;
}
.select2-container--default .select2-selection--single {
    border: 0 !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 16px !important;

    text-align: left !important;
    line-height: 50px !important;
    font-size: 25px !important;

    border-radius: 10px !important;
}
.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #383838 !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 50px !important;
}
.select2-container--open .select2-dropdown--below {
    z-index: 5000;
}

.select2-container--default .select2-results__option[aria-selected="true"] {
    background-color: white !important;
    color: #5acc13 !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #5897fb !important;
}

@media screen and (min-width: 1200px){
    .select2-container,
    .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: var(--desktop-sm-controll) !important;
    }
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: var(--desktop-sm-controll) !important;
    }
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        font-size: 12px !important;
    }
}

@media screen and (max-width: 1199px){
    .select2-container,
    .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: var(--control-height-mobile) !important;
        font-size: var(--fs-1-mobile) !important;
    }
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: var(--control-height-mobile) !important;
    }
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        font-size: var(--fs-1-mobile) !important;
    }
    .select2-container--default .select2-results__option--highlighted[aria-selected] {
        background-color: white !important;
        color: #5acc13 !important;
    }
    .select2-results__option {
        font-size: var(--fs-1-mobile) !important;
        line-height: var(--lh-1-mobile) !important;
    }
}
.checkbox {
    cursor: pointer;
    width: 22px;
    height: 22px;
    border: 1px solid #333333;
    border-radius: 5px;
}
#check {
    cursor: pointer;
    display: inline-block;
    opacity: 0;

    margin-inline-start: -19px;
    padding: -1px;
}
.checkbox-label {
    cursor: pointer;
    margin-inline-start: 7px;
}

@media screen and (max-device-width: 1199px){
    #check {
        margin-inline-start: -17px;
    }
    .checkbox-label {
        margin-inline-start: 14px;
    }
}
.alert-danger, .alert-info, .alert-success, .alert-warning{
	padding-left: 30px;
}

.alert-danger button.close, 
.alert-info button.close, 
.alert-success button.close, 
.alert-warning button.close{
	position: absolute; 
	top: 0;
	left: 0;
	margin-right: -30px;
	padding: 10px;
	border: none;
	color: #FFF;
	background: transparent;
}
.user-support__close-button {
    position: absolute;
    top: 10px;
    right: 10px;

    font-size: 30px;

    cursor: pointer;
}
.user-support__modal-dialog {
    min-width: 600px;
}
.user-support__modal-body {
    padding: 30px;
}
.user-support__icon {
    font-size: 45px;
}
.user-support__section {
    width: 100%;
    min-width: 100%;
}
.user-support__input {
    height: 40px;
    min-width: 100%;
    max-width: 100%;
}
.user-support__label {
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    margin-block-end: 10px;
    font-weight: normal;
}
.user-support__message {
    min-height: 165px;
    max-height: 165px;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    padding-block: 10px;
}
.user-support__button {
    height: 40px;
    padding-inline: 10px;
    font-size: unset;
    line-height: unset;
    width: unset;
}
.user-support__social {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 30px;
    height: 30px;

    margin-inline-end: 10px;

    color: unset;
    border-radius: 10px;
    border: 1px solid rgba(51, 51, 51, 1);
    text-decoration: none;

    cursor: pointer;
}
.user-support__social:hover {
    text-decoration: none;
}
.user-support__image {
    width: 15px;
    height: 15px;
}

@media screen and (max-width: 1199px)  {
    .user-support__close-button {
        position: absolute;
        top: 5px;
        right: 5px;

        font-size: 25px;

        cursor: pointer;
    }
    .user-support__modal-dialog {
        min-width: unset;
    }
    .user-support__modal-body {
        padding: 15px;
    }
    .user-support__input {
        width: 100%;
    }
    .user-support__message {
        min-height: 80px;
        max-height: 80px;
    }
    .user-support__icon {
        font-size: 35px;
    }
    .user-support__label {
        margin-block-end: 0;
        font-size: 16px;
    }
    .user-support__button {
        height: 30px;
    }
}
.user-settings {
    overflow-y: auto;
    width: 300px;
    max-height: 90vh;
    padding: 16px;
    cursor: default;

    text-align: left;

    background: white;
}
.user-settings div {
    position: relative;
}
.user-settings .grey-input, .user-settings .grey-select {
    height: var(--desktop-sm-controll);
    font-size: 12px;
    width: 100% !important;
}
.user-settings .user-settings__label {
    font-size: 14px;
    font-weight: normal;
}
.user-settings__section-margin {
    margin-top: 8px;
}
.user-settings .edit-button {
    position: absolute;
    right: 10px;
    bottom: 15px;

    cursor: pointer;
}

.user-settings__avatar {
    display: flex;
    justify-content: center;

    margin: 16px 0;
}

.user-settings__avatar .edit-button {
    bottom: 0;
}

.user-settings__avatar img {
    width: 100px;
    height: 100px;
}

.user-settings__login .grey-input {
    font-size: 18px;
    line-height: 21px;
}

.user-settings__money .money {
    height: 40px;

    padding-left: 16px;

    font-size: 18px;
    line-height: 40px;
    font-weight: bold;
    color: #4BC202;

    border-radius: 10px;
    background: #F5F5F5;
}

.user-settings .field {
    height: 40px;

    padding-inline: 16px 30px;

    font-size: 18px;
    line-height: 40px;

    border-radius: 10px;
    background: #F5F5F5;
}

.user-settings__share-management {
    margin-top: 15px;

    text-align: center;
}
.user-settings__share-management a {
    text-decoration: none;
    font-size: 15px;
    line-height: 17px;
    color: rgba(51, 51, 51, 1);
}

.user-settings__links {
    margin-top: 15px;
    text-align: center;
}
.user-settings__links span {
    font-size: 16px;
}
.user-settings__links a {
    font-size: 11px;
    text-decoration: none;
    color: black;
}
@media (hover: hover) {
    .user-settings__links a:hover {
        text-decoration: underline;
    }
}

.user-settings__language .language-select {
    height: var(--desktop-sm-controll);
    background: #f5f5f5;
    border: unset;

    border-radius: 10px;
}
.user-settings__language .language-button {
    margin: 0;
    padding: 10px 16px;
}

.user-settings__logout {
    padding: 16px 0;

    text-align: center;
    font-size: 20px;
}
.user-settings__logout span {
    cursor: pointer;
}
.user-settings__editable-input {
    padding-right: 35px;
}

@media screen and (max-width: 1199px) {
    .user-settings {
        width: 100%;

        padding-left: 5%;
        padding-right: 5%;
    }

    .user-settings div {
        width: 100%;
    }

    .user-settings__section-margin {
        margin-top: 10px;
    }
    .user-settings .user-settings__label {
        margin-bottom: 4px;

        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
    .user-settings .grey-input, .user-settings .grey-select {
        height: var(--control-height-mobile);
        
        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }

    .user-settings .edit-button {
        bottom: 8px;

        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }

    .user-settings__avatar {
        margin: 8px 0 0 0;
    }
    .user-settings__avatar img {
        width: 45px;
        height: 45px;
    }

    .user-settings__money {
        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
    .user-settings__logout {
        font-size: var(--fs-3-mobile);
        line-height: var(--lh-3-mobile);
    }
    .user-settings__money .money {
        height: var(--control-height-mobile);

        font-size: var(--fs-1-mobile);
        line-height: var(--control-height-mobile);
    }
	.user-settings .field {
        height: var(--control-height-mobile);

        font-size: var(--fs-1-mobile);
        line-height: var(--control-height-mobile);
    }

    .user-settings__language .language-select {
        height: var(--control-height-mobile);

        margin-bottom: 16px;

        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
    .user-settings__language .language-button {
        margin: 0;
        padding: 6px 16px;
    }
    .user-settings__language .dropdown-item {
        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }

    .user-settings__links a {
        line-height: 20px;
    }
    .user-settings__links span, .user-settings__links a {
        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
}
.user-info {
    display: inline-flex;;
    align-items: center;
    flex-wrap: nowrap;

    height: 40px;
    padding-inline: 8px;
    border: 1px solid rgba(51, 51, 51, 1);
    border-radius: 10px;

    cursor: pointer;
    user-select: none;
}
.user-avatar {
    width: 30px;
    height: 30px;

    margin-inline-end: 8px;
}
.user-info__login {
    white-space: nowrap;
}
.user-info__email {
    font-size: 12px;
    line-height: 15px;
}

@media screen and (max-width: 1199px){
    .user-avatar {
        width: 20px;
        height: 20px;

        margin-inline-end: 4px;
    }

    .user-info {
        max-width: 100%;

        padding-inline: 4px;
    }
    .user-info__wrapper {
        overflow-x: hidden;
    }
    .user-info__login {
        font-size: var(--fs-1-mobile);
        line-height: var(--lh-1-mobile);
    }
    .user-info__email{
        overflow-x: hidden;
        text-overflow: ellipsis;

        font-size: var(--fs-2-mobile);
        line-height: var(--lh-2-mobile);
    }
}
.language-select {
    border: 1px solid #979797;
    border-radius: 0.8em;
    cursor: pointer;
}
.language-button {
    margin: 1em;
}
.language-button:after{ border-top-color: #979797; }
.language-select i.flag-icon{ border-radius: 3px; }

